﻿using System.Collections.Generic;
using System.Web.Mvc;
using UsandoPartialViews.Models;

namespace UsandoPartialViews.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Exemplo básico de utilização de Partial Views";
            return View(new Times() { listaTimes = GetTimes() });
        }

        public ActionResult About()
        {
            return View();
        }

        private List<Times> GetTimes()
        {
            List<Times> model = new List<Times>();

            model.Add(new Times()
            {
                Id = 1, Nome = "Corinthians",Pontos = "26"
            });

            model.Add(new Times()
            {
                Id = 2,Nome = "Guarani",Pontos = "22"
            });
            model.Add(new Times()
            {
                Id = 3,Nome = "Palmeiras",Pontos = "21"
            });

            model.Add(new Times()
            {
                Id = 4,Nome = "Santos",Pontos = "21"
            });

            model.Add(new Times()
            {
                Id = 5,Nome = "Mogi Mirim",Pontos = "19"
            });
            return model;
        }
    }
}
